Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutlineCornerSource Class Reference

`#include <vtkOutlineCornerSource.h>`

Inheritance diagram for vtkOutlineCornerSource:

[legend]
Collaboration diagram for vtkOutlineCornerSource:

[legend]
List of all members.

## Detailed Description

create wireframe outline corners around bounding box

Date:
  2002/01/22 15:29:31

Revision:
  1.9

vtkOutlineCornerSource creates wireframe outline corners around a user-specified bounding box.

Created by:
  - Barre, Sebastien

CVS contributions (if > 5%):
  - Barre, Sebastien (91%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkOutlineCornerSource.h)`
  - .`cxx` (`/Graphics/vtkOutlineCornerSource.cxx)`

Definition at line 41 of file vtkOutlineCornerSource.h.

## Public Types
typedef vtkOutlineSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCornerFactor (float)
virtual float | GetCornerFactor ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOutlineCornerSource * | SafeDownCast (vtkObject *o)
vtkOutlineCornerSource * | New ()
## Protected Methods
| vtkOutlineCornerSource ()
| ~vtkOutlineCornerSource ()
void | Execute ()
## Protected Attributes
float | CornerFactor

## Member Typedef Documentation

typedef vtkOutlineSource vtkOutlineCornerSource::Superclass

| Reimplemented from vtkOutlineSource. Definition at line 44 of file vtkOutlineCornerSource.h.

## Constructor & Destructor Documentation

vtkOutlineCornerSource::vtkOutlineCornerSource | ( |  | ) | `[protected]`

vtkOutlineCornerSource::~vtkOutlineCornerSource | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkOutlineCornerSource.h.

## Member Function Documentation

virtual const char* vtkOutlineCornerSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOutlineSource.

int vtkOutlineCornerSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutlineSource.

virtual int vtkOutlineCornerSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutlineSource.

vtkOutlineCornerSource* vtkOutlineCornerSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOutlineSource.

void vtkOutlineCornerSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkOutlineSource.

vtkOutlineCornerSource* vtkOutlineCornerSource::New | ( |  | ) | `[static]`

| Construct outline corner source with default corner factor = 0.2 Reimplemented from vtkOutlineSource.

virtual void vtkOutlineCornerSource::SetCornerFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds

virtual float vtkOutlineCornerSource::GetCornerFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds

void vtkOutlineCornerSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkOutlineSource.

## Member Data Documentation

float vtkOutlineCornerSource::CornerFactor`[protected]`

| Definition at line 63 of file vtkOutlineCornerSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkOutlineCornerSource.h